<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Revision: 1.2 $
 * $Author: tora60 $
 * $Date: 2011/09/29 10:31:20 $
 */

/* diese Zeile nicht aendern!! */
defined('mxMainFileLoaded') or die('access denied');

/**
 * der Titel im Kopfbereich der Seite
 */
// $themesetting['title'] = 'PragmaMx';
$themesetting['title'] = $GLOBALS['sitename'];

/**
 * der Untertitel/Slogan im Kopfbereich der Seite
 */
// $themesetting['slogan'] = 'Blank theme';
$themesetting['slogan'] = $GLOBALS['slogan'];

/**
 * Layout-Columns: default, left, right
 * .                 |-|     ||-    -||
 */
$themesetting['layoutcols'] = 'default';

/**
 * Layout-Type: fixed only for this grid
 */
$themesetting['layouttype'] = 'fixed';

/**
 * das Men? im Kopfbereich  (erst ab pragmaMx 1.12!)
 * - den Men?namen aus dem Men?manager angeben, oder
 * - leer lassen (false) um das weiter unten definierte Men? zu verwenden
 */
$themesetting['head_css_menu'] = ''; // z.B.: {CSS-MENU}

/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {
    /**
     * Seiten, bei denen, die linken Bloecke nicht gezeigt werden sollen
     */
    $themesetting['hide-left'] = array(/* Seiten/Module */
        // MX_MODULE == 'Downloads',
        // MX_MODULE == 'FAQ',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * Seiten, bei denen beide Blockspalten nicht angezeigt werden sollen
     */
    $themesetting['hide-both'] = array(/* Seiten/Module */
        MX_MODULE == 'admin',
        // MX_MODULE === 'Gallery',
        // MX_MODULE == 'coppermine',
        MX_MODULE == 'Themetest',
        MX_MODULE == 'eBoard',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /* folgendes nur, wenn kein Men? des Men?managers verwendet werden soll */
    if (!$themesetting['head_css_menu']) {
        /**
         * die Navigationsbuttons im header, wird in der
         * Funktion theme_define_placeholders() ausgewertet
         */
        $themesetting['headnav'][] = array(/* Startseite */
            'menu' => 1,
            'caption' => _HOME,
            'link' => './',
            'case' => array(
                defined('MX_HOME_FILE'),
                ));

        $themesetting['headnav'][] = array(/* Newsmodul */
            'menu' => 1,
            'caption' => _NEWSSHORT,
            'link' => 'modules.php?name=Stories_Archive',
            'case' => array(
                MX_MODULE == 'Stories_Archive',
                MX_MODULE == 'News' && !defined('MX_HOME_FILE'),
                ));

        // $themesetting['headnav'][] = array(/* Forum */
            // 'menu' => 1,
            // 'caption' => _BBFORUM,
            // 'link' => 'modules.php?name=Forum',
            // 'case' => array(
                // MX_MODULE == 'Forum',
                // MX_MODULE == 'Forums',
               // MX_MODULE == 'eboard',
                // ));

        $themesetting['headnav'][] = array(/* Bildergalerie */
            'menu' => 1,
            'caption' => _GALLERY,
            'link' => 'modules.php?name=My_eGallery',
            'case' => array(
                MX_MODULE == 'My_eGallery',
                // MX_MODULE == 'coppermine',
                ));

        $themesetting['headnav'][] = array(/* Suche */
            'menu' => 1,
            'caption' => _SEARCH,
            'link' => 'modules.php?name=Search',
            'case' => array(
                MX_MODULE == 'Search',
                ));

        /* ------ ENDE Navigationsbuttons ------- */
    }
}
/* Ende nur Module */

/**
 * folgende Einstellungen sollten nicht veraendert werden
 */

/* Modul-Bloecke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'menu';
$themesetting['blocknav']['current'] = 'current';

/* definieren ob die Templates des Themes gecached werden koennen */
define('MX_THEME_CACHABLE', false);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'theme.html');

?>
